[
  {
    "ContainingType": "HRServer.Controllers.HorseController",
    "Method": "GetHorse",
    "RelativePath": "api/getHorse/{id}",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "id",
        "Type": "System.Int32",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "HRServer.Controllers.HorseController",
    "Method": "GetHorseLoadState",
    "RelativePath": "api/getHorse/{id}/LoadState",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "id",
        "Type": "System.UInt64",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "HRServer.Controllers.HorseController",
    "Method": "Ping",
    "RelativePath": "api/ping",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [],
    "ReturnTypes": []
  },
  {
    "ContainingType": "HRServer.Controllers.HorseController",
    "Method": "UpdateHorseAchievements",
    "RelativePath": "api/updateHorse/{id}/Achievements",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "id",
        "Type": "System.UInt64",
        "IsRequired": true
      },
      {
        "Name": "websiteHorseAchievements",
        "Type": "HRServer.Models.HorseAchievements",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "HRServer.Controllers.HorseController",
    "Method": "UpdateHorseBasicData",
    "RelativePath": "api/updateHorse/{id}/BasicData",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "id",
        "Type": "System.UInt64",
        "IsRequired": true
      },
      {
        "Name": "websiteHorse",
        "Type": "HRServer.Models.Horse",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "HRServer.Controllers.HorseController",
    "Method": "UpdateHorseGenetics",
    "RelativePath": "api/updateHorse/{id}/Genetics",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "id",
        "Type": "System.UInt64",
        "IsRequired": true
      },
      {
        "Name": "websiteHorseGenetics",
        "Type": "HRServer.Models.HorseGenetics",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "HRServer.Controllers.HorseController",
    "Method": "UpdateHorseHealth",
    "RelativePath": "api/updateHorse/{id}/Health",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "id",
        "Type": "System.UInt64",
        "IsRequired": true
      },
      {
        "Name": "websiteHorseHealth",
        "Type": "HRServer.Models.HorseHealth",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "HRServer.Controllers.HorseController",
    "Method": "UpdateHorsePedigree",
    "RelativePath": "api/updateHorse/{id}/Pedigree",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "id",
        "Type": "System.UInt64",
        "IsRequired": true
      },
      {
        "Name": "websiteHorseSummary",
        "Type": "HRServer.Models.HorseSummary",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "HRServer.Controllers.HorseController",
    "Method": "UpdateHorseTraining",
    "RelativePath": "api/updateHorse/{id}/Training",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "id",
        "Type": "System.UInt64",
        "IsRequired": true
      },
      {
        "Name": "websiteHorseTraining",
        "Type": "HRServer.Models.HorseTraining",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  }
]